Print Friendly

# Class Ext.QuickTips

Package: | Ext
Class: | QuickTips
Extends: | Object
Defined In: | QuickTips.js

Provides attractive and customizable tooltips for any element.
This class is a singleton and cannot be created directly.
Properties - Methods - Events - Config Options

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---
| disable() : void | QuickTips
Disable this quick tip
| enable() : void | QuickTips
Enable this quick tip
| isEnabled() : void | QuickTips
Returns true if the quick tip is enabled, else false
| register(`Object config`) : void | QuickTips
Configures a new quick tip instance and assigns it to a target element
| unregister() : void | QuickTips
Removes this quick tip from its element and destroys it

## Public Events

This class has no public events.

## Config Options

Config Options | Defined By
--- | ---
| Delay : Number | QuickTips
in milliseconds before the quick tip hides when autoDismiss = true (defaults to 5000)
| True : Boolean | QuickTips
to automatically hide the quick tip after a set period of time, regardless of the user's actions (defaults to true). ...
| animate : Boolean | QuickTips
True to turn on fade animation. Defaults to false (ClearType/scrollbar flicker issues in IE7).
| autoHide : Boolean | QuickTips
True to automatically hide the quick tip after the mouse exits the target element (defaults to true). Used in conjunc...
| hideDelay : Number | QuickTips
Delay in milliseconds before the quick tip hides when autoHide = true (defaults to 200)
| hideOnClick : Boolean | QuickTips
True to hide the quick tip if the user clicks anywhere in the document (defaults to true)
| interceptTitles : Boolean | QuickTips
True to automatically use the element's DOM title value if available (defaults to false)
| maxWidth : Number | QuickTips
The maximum width of the quick tip (defaults to 300)
| minWidth : Number | QuickTips
The minimum width of the quick tip (defaults to 40)
| showDelay : Number | QuickTips
Delay in milliseconds before the quick tip displays after the mouse enters the target element (defaults to 500)
| trackMouse : Boolean | QuickTips
True to have the quick tip follow the mouse as it moves over the target element (defaults to false)

## Method Details

### disable

`public function disable()`
Disable this quick tip
Parameters:

- None.

Returns:

- `void`

This method is defined by QuickTips.

### enable

`public function enable()`
Enable this quick tip
Parameters:

- None.

Returns:

- `void`

This method is defined by QuickTips.

### isEnabled

`public function isEnabled()`
Returns true if the quick tip is enabled, else false
Parameters:

- None.

Returns:

- `void`

This method is defined by QuickTips.

### register

`public function register(`Object config`)`
Configures a new quick tip instance and assigns it to a target element
Parameters:

- `config` : Object
  The config object

Returns:

- `void`

This method is defined by QuickTips.

### unregister

`public function unregister()`
Removes this quick tip from its element and destroys it
Parameters:

- None.

Returns:

- `void`

This method is defined by QuickTips.

## Config Details

### Delay

`Delay : Number`
in milliseconds before the quick tip hides when autoDismiss = true (defaults to 5000)
This config option is defined by QuickTips.

### True

`True : Boolean`
to automatically hide the quick tip after a set period of time, regardless of the user's actions (defaults to true). Used in conjunction with autoDismissDelay.
This config option is defined by QuickTips.

### animate

`animate : Boolean`
True to turn on fade animation. Defaults to false (ClearType/scrollbar flicker issues in IE7).
This config option is defined by QuickTips.

### autoHide

`autoHide : Boolean`
True to automatically hide the quick tip after the mouse exits the target element (defaults to true). Used in conjunction with hideDelay.
This config option is defined by QuickTips.

### hideDelay

`hideDelay : Number`
Delay in milliseconds before the quick tip hides when autoHide = true (defaults to 200)
This config option is defined by QuickTips.

### hideOnClick

`hideOnClick : Boolean`
True to hide the quick tip if the user clicks anywhere in the document (defaults to true)
This config option is defined by QuickTips.

### interceptTitles

`interceptTitles : Boolean`
True to automatically use the element's DOM title value if available (defaults to false)
This config option is defined by QuickTips.

### maxWidth

`maxWidth : Number`
The maximum width of the quick tip (defaults to 300)
This config option is defined by QuickTips.

### minWidth

`minWidth : Number`
The minimum width of the quick tip (defaults to 40)
This config option is defined by QuickTips.

### showDelay

`showDelay : Number`
Delay in milliseconds before the quick tip displays after the mouse enters the target element (defaults to 500)
This config option is defined by QuickTips.

### trackMouse

`trackMouse : Boolean`
True to have the quick tip follow the mouse as it moves over the target element (defaults to false)
This config option is defined by QuickTips.

Ext - Copyright © 2006-2007 Ext JS, LLC
All rights reserved.